Bug 1045376 - Fix root distance and root dispersion calculations.
Summary: Fix root distance and root dispersion calculations.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp
Version: 6.5
Hardware: All
OS: All
unspecified
medium
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Vaclav Danek
URL:
Whiteboard:
Depends On: 1037981 1045377
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 09:51 UTC by Miroslav Lichvar
Modified: 2019-02-15 13:36 UTC (History)
7 users (show)

Fixed In Version: ntp-4.2.6p5-3.el6
Doc Type: Bug Fix
Doc Text:
Previously, the ntpd daemon included a root delay when calculating its root dispersion. Consequently, the NTP server reported larger root dispersion that it should have and clients could reject the source when its distance reached the maximum synchronization distance (1.5 seconds by default). Calculation of root dispersion has been fixed, the root dispersion is now reported correctly, and clients no longer reject the server due to large synchronization distance.
Clone Of: 1037981
Environment:
Last Closed: 2015-07-22 06:59:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1459 normal SHIPPED_LIVE Moderate: ntp security, bug fix, and enhancement update 2015-07-21 14:15:04 UTC
Network Time Protocol 2085 None None None 2019-03-29 03:07:18 UTC

Description Miroslav Lichvar 2013-12-20 09:51:39 UTC
+++ This bug was initially created as a clone of Bug #1037981 +++

Description of problem:
4.2.6p5 has a bug in the calculation of root distance and root dispersion.
The NTP Project will not plan to release the next 4.2.6. Please add this patch to the package.

Additional info:
http://bk.ntp.org/ntp-dev/?PAGE=patch&REV=52118107w2flt_21lbila698w3qA7Q

Comment 4 errata-xmlrpc 2015-07-22 06:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1459.html


Note You need to log in before you can comment on or make changes to this bug.